package com.aucma.production.mapper;

import java.util.List;

import com.aucma.production.domain.ProdTaskPool;
import org.apache.ibatis.annotations.Param;

/**
 * 生产任务池Mapper接口
 *
 * @author Codex
 * @date 2026-03-18
 */
public interface ProdTaskPoolMapper {
    ProdTaskPool selectProdTaskPoolByOrderCode(@Param("orderCode") String orderCode);

    List<ProdTaskPool> selectProdTaskPoolList(ProdTaskPool prodTaskPool);

    int insertProdTaskPool(ProdTaskPool prodTaskPool);

    int updateProdTaskPool(ProdTaskPool prodTaskPool);

    int deleteProdTaskPoolByOrderCodes(@Param("orderCodes") String[] orderCodes);

    int updateOrderExecutionStatus(ProdTaskPool prodTaskPool);
}
